package com.company.cloud.sdk.weixin.common.config;

import lombok.Getter;
import lombok.Setter;
import lombok.Value;

/**
 * 企业微信内部应用配置
 * */
@Getter
@Setter
public class WxWorkConfig {


    /**企业ID*/
    private String corpid;


    // 企业微信应用---------------------------------------------------
    /**应用的凭证密钥*/
    private String appCorpsecret;


    // 通讯录--------------------------------------------------------
    /**密钥*/
    private String contactCorpsecret;

    /**消息token*/
    private String contactToken;

    /**消息加密密钥*/
    private String contactEncodingAesKey;

    /**同步基准数据 server服务端 wx_work企业微信*/
    private String contactSyncData;

    // 客户联系--------------------------------------------------------
    /**密钥*/
    private String customerCorpsecret;

    /**消息token*/
    private String customerToken;

    /**消息加密密钥*/
    private String customerEncodingAesKey;

    /**同步基准数据 server服务端 wx_work企业微信*/
    private String customerSyncData;

}
