package com.company.cloud.sdk.weixin.common.constant;

public class BaseEnum {
    /**
     * 是否有效 1：启用 0：禁用
     */
    public enum EnabledEnum{
        ENABLED("1", "启用"),
        DISABLED("0", "禁用");
        private String code;
        private String msg;

        private EnabledEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
    }

    public enum GenderEnum {
        Male("1", "男性"),
        Female("2", "女性")
        ;
        private String code;
        private String msg;
        private GenderEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
    }
}
