package com.company.cloud.sdk.weixin.common.constant;


public enum WxErrorEnum {


    WX_Http_ERROR("WX01","调用微信服务错误"),
    WX_Para_NULL("WX02","调用微信服务参数为空"),
    WX_Decrypt_ERROR("WX03","微信解密错误"),

    ;

    private String code;

    private String msg;

    WxErrorEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
