package com.company.cloud.sdk.weixin.common.utils;

import java.util.Random;

/**
 * 微信签名
 * 
 * @author wing
 *
 */
public class WxCommonUtils {

    public static String getNonceStr() {
        String str = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
        Random random = new Random();
        StringBuffer sb = new StringBuffer();
        for (int i = 0; i < 16; i++) {
            int number = random.nextInt(62);
            sb.append(str.charAt(number));
        }
        return sb.toString();
    }

    public static String getTimestamp() {
        return String.valueOf(System.currentTimeMillis() / 1000);
    }

    public static String getUrl(String url) {
        if (url.indexOf("#") == -1) {
            return url;
        }

        return url.substring(0, url.indexOf("#"));
    }
}
