package com.company.cloud.sdk.weixin.im.model.account;

import com.company.cloud.sdk.weixin.im.model.IMSignModel;
import lombok.Data;

import java.util.List;

/**
 * @Author dhz
 * @Date 2022/9/23 18:23
 */
@Data
public class AccountQueryOnlineStatusModel extends IMSignModel {

    /**
     * 必填	需要查询这些 UserID 的登录状态，一次最多查询500个 UserID 的状态
     */
    private List<String> To_Account;

    /**
     * 选填	是否需要返回详细的登录平台信息。0表示不需要，1表示需要
     */
    private String IsNeedDetail;
}
