package com.company.cloud.sdk.weixin.mini.enums;
/**
 * <p>微信小程序接口枚举</p>
 */
public enum WxMiniApiType {

    /**登录凭证校验*/
    Code2Session("/sns/jscode2session"),

    /**小程序和公众号统一的服务消息*/
    SendMessage("/cgi-bin/message/wxopen/template/uniform_send"),


    /***/

    CreateActivityId("/cgi-bin/message/wxopen/activityid/create"),
    SetUpdatableMsg("/cgi-bin/message/wxopen/updatablemsg/send"),


    SendToUser("/cgi-bin/message/custom/send"),
    SendTypingCommand("/cgi-bin/message/custom/typing"),
    MediaUpload("/cgi-bin/media/upload"),

    /***/

    /***/

    ;

    /**
     * 类型
     */
    private final String type;

    WxMiniApiType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    @Override
    public String toString() {
        return type;
    }
}
