package com.company.cloud.sdk.weixin.mini.enums;

/**
 *  微信小程序可用域名枚举
 * */
public enum WxMiniDomain {


    /**
     * 中国国内
     */
    CHINA("https://api.weixin.qq.com")
    ;

    /**
     * 域名
     */
    private final String domain;

    WxMiniDomain(String domain) {
        this.domain = domain;
    }

    public String getType() {
        return domain;
    }

    @Override
    public String toString() {
        return domain;
    }

}
