package com.company.cloud.sdk.weixin.mini.model;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 小程序消息服务
 * */
@Getter
@Setter
public class WxMiniSendMsgModel extends BaseReqModel {

    /**用户openid*/
    private String touser;
    /**小程序模板消息相关的信息，可以参考小程序模板消息接口; 有此节点则优先发送小程序模板消息*/
    private WeappTemplateMsgModel weapp_template_msg;
    /**公众号模板消息相关的信息，可以参考公众号模板消息接口；有此节点并且没有weapp_template_msg节点时，发送公众号模板消息*/
    private MpTemplateMsgModel mp_template_msg;

}
