package com.company.cloud.sdk.weixin.mini.model.message;

import cn.hutool.core.util.StrUtil;
import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CreateActivityIdModel extends BaseReqModel {

    /**
     * 为私密消息创建activity_id时，指定分享者为unionid用户。其余用户不能用此activity_id分享私密消息。openid与unionid填一个即可。私密消息暂不支持云函数生成activity id
     */
    private String unionid;
    private String openid;

//    @AssertTrue(message = "unionid,openid不能同时为空")
    private Boolean check(){
        if(StrUtil.isBlank(unionid)||StrUtil.isBlank(openid)){
            return false;
        }
        return true;
    }


}
