package com.company.cloud.sdk.weixin.mp.enums;

public enum WxMpMediaType {

    /**图片 10M，支持PNG\JPEG\JPG\GIF格式*/
    IMAGE("image"),
    
    /**语音 2M，播放长度不超过60s，支持AMR\MP3格式*/
    VOICE("voice"),
    
    /**视频 10MB，支持MP4格式*/
    VIDEO("video"),
    
    /**缩略图 64KB，支持JPG格式*/
    THUMB("thumb"),

    /**图文*/
    NEWS("news"),
    
    ;

    private final String type;
    
    WxMpMediaType(String type) {
        this.type = type;
    }
    
    public String getType() {
        return type;
    }
}
