package com.company.cloud.sdk.weixin.mp.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 *检验授权凭证（access_token）是否有效
 * */
@Builder
@AllArgsConstructor
@Getter
@Setter
public class AuthTokenModel {

    /**网页授权接口调用凭证,注意：此access_token与基础支持的access_token不同*/
    private String access_token;

    /**用户的唯一标识*/
    private String openid;
}
