package com.company.cloud.sdk.weixin.mp.model;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.*;

/**
 * 用户信息
 * */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class MpUserInfoModel  extends BaseModel {

    /**调用接口凭证（是）*/
    private String access_token;

    /**普通用户的标识，对当前公众号唯一（是）*/
    private String openid;

    /**返回国家地区语言版本，zh_CN 简体，zh_TW 繁体，en 英语*/
    private String lang="zh_CN";



}
