package com.company.cloud.sdk.weixin.mp.model.autoreply;

import lombok.Getter;
import lombok.Setter;

/**
 * 匹配的信息列表
 * */
@Getter
@Setter
public class ReplyInfoModel {

    /**类型*/
    private String type;
    /**对于文本类型，content是文本内容，对于图文、图片、语音、视频类型，content是mediaID*/
    private String content;
    /**图文消息的信息*/
    private NewsInfoList news_info;




}
