package com.company.cloud.sdk.weixin.mp.model.media;

import lombok.Getter;
import lombok.Setter;

/**
 * 评论
 */
@Getter
@Setter
public class CommentListModel extends CommentReqModel {

    /**
     * 必传
     * 起始位置
     */
    private Integer begin;
    
    /**
     * 必传
     * 获取数目（>=50会被拒绝）
     */
    private Integer count;
    
    /**
     * 必传
     * type=0 普通评论&精选评论 type=1 普通评论 type=2 精选评论
     */
    private Integer type;
}
