package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 永久图文素材
 */
@Getter
@Setter
public class MateriaListResp extends BaseRespModel {

    /**
     * 该类型的素材的总数
     */
    private Integer total_count;
    
    /**
     * 本次调用获取的素材的数量
     */
    private Integer item_count;
    
    /**
     * 素材信息
     */
    private List<MateriaModel> item;
}
