package com.company.cloud.sdk.weixin.mp.model.media;

import lombok.Getter;
import lombok.Setter;

/**
 * 永久素材
 */
@Getter
@Setter
public class MateriaModel {

    /**
     * 图文标记
     */
    private String media_id;
    
    /**
     * 素材的最后更新时间
     */
    private String update_time;
    
    /**
     * 永久图文消息素材数据
     */
    private NewsItemModel content;
    
    /**其他类型（图片、语音、视频）数据*/
    /**
     * 文件名称
     */
    private String name;
    /**
     * 图文页的URL，或者，当获取的列表是图片素材列表时，该字段是图片的URL
     */
    private String url;
}
