package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询素材
 */
@Getter
@Setter
public class MediaQueryModel extends BaseReqModel {

    /**
     * 必传
     * 要获取的素材的媒体文件ID
     * 获取高清语音素材接口中此字段为JSSDK的uploadVoice接口返回的serverID
     */
    private String media_id;

}
