package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.io.File;

/**
 * 新增文件素材
 */
@Getter
@Setter
public class MediaUploadModel extends BaseReqModel {

    /**
     * 必传
     * 媒体文件类型，分别有图片（image）、语音（voice）、视频（video）和缩略图（thumb）
     */
    private String type;

    /**
     * 必传
     * form-data中媒体文件标识，有filename、filelength、content-type等信息
     */
    private File media;

}
