package com.company.cloud.sdk.weixin.mp.model.menu;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 创建自定义菜单
 */
@Getter
@Setter
public class MenuCreateModel extends BaseReqModel{

    /**
     * 必传
     * 一级菜单数组，个数应为1~3个
     */
    private List<MenuCreateButtonModel> button;

    /**
     * 创建个性化菜单必传
     * 菜单匹配规则
     */
    private MenuMatchruleModel matchrule;

}
