package com.company.cloud.sdk.weixin.mp.model.menu;

import lombok.Getter;
import lombok.Setter;

/**
 * 查询自定义菜单图文
 */
@Getter
@Setter
public class MenuNewsModel {

    /**
     * 图文消息的标题
     */
    private String title;

    /**
     * 摘要
     */
    private String digest;

    /**
     * 作者
     */
    private String author;
    
    /**
     * 是否显示封面，0为不显示，1为显示
     */
    private Integer show_cover;
    
    /**
     * 封面图片的URL
     */
    private String cover_url;
    
    /**
     * 正文的URL
     */
    private String content_url;
    
    /**
     * 原文的URL，若置空则无查看原文入口
     */
    private String source_url;

}
