package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 删除群发【订阅号与服务号认证后均可用】
 * @author wing
 *
 */
@Getter
@Setter
public class MassModel extends BaseReqModel {

    /**
     * 必传
     * 发送出去的消息ID
     */
    private Integer msg_id;
    
    /**
     * 非必传
     * 要删除的文章在图文消息中的位置，第一篇编号为1，该字段不填或填0会删除全部文章
     */
    private Integer article_idx;

}
