package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 控制群发速度
 * @author wing
 *
 */
@Getter
@Setter
public class MassSpeedModel extends BaseReqModel {

    /**
     * 必传
     * 群发速度的级别
     * 0: 80w/分钟
     * 1: 60w/分钟
     * 2: 45w/分钟
     * 3: 30w/分钟
     * 4: 10w/分钟
     */
    private Integer speed;
}
