package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 控制群发速度
 * @author wing
 *
 */
@Getter
@Setter
public class MassSpeedResp extends BaseRespModel {

    /**
     * 群发速度的级别
     */
    private Integer speed;

    /**
     * 群发速度的真实值 单位：万/分钟
     */
    private Integer realspeed;
}
