package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 消息的media_id
 * @author wing
 *
 */
@Getter
@Setter
public class MsgMediaIdsModel {

    /**
     * 必传
     * 发送的图片/语音/视频/图文消息（点击跳转到图文消息页）的媒体ID
     */
    private List<String> media_ids;
    
    /**
     * 非必传
     * 推荐语，不填则默认为“分享图片”
     */
    private String recommend;
    
    /**
     * 是否打开评论，0不打开，1打开
     */
    private Integer need_open_comment;
    
    /**
     * 是否粉丝才可评论，0所有人可评论，1粉丝才可评论
     */
    private Integer only_fans_can_comment;

}
