package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 客服发送菜单消息
 * 
 * @author wing
 *
 */
@Getter
@Setter
public class SendMsgMenuModel extends SendMsgModel {

    /**
     * 必传
     * 菜单消息内容
     */
    private MsgMenuContent msgmenu;

    @Getter
    @Setter
    public static class MsgMenuContent {

        /**
         * 必传
         * 菜单消息文本
         */
        private String head_content;
        
        /**
         * 必传
         * 菜单消息结束文本
         */
        private String tail_content;
        
        /**
         * 必传
         * 菜单选项
         */
        private List<ListContent> list;

        @Getter
        @Setter
        public static class ListContent {

            /**
             * 必传
             * 选项id
             */
            private String id;
            
            /**
             * 必传
             * 选项内容
             */
            private String content;
        }
    }
}
