package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 客服发送消息
 * @author wing
 *
 */
@Getter
@Setter
public class SendMsgModel extends BaseReqModel {

    /**
     * 必传
     * 接收用户openid
     */
    private String touser;

    /**
     * 必传
     * 消息类型
     */
    private String msgtype;

    /**
     * 非必传
     * 如果需要以某个客服帐号来发消息（在微信6.0.2及以上版本中显示自定义头像），则需在JSON数据包的后半部分加入customservice参数
     */
    private Customsercice customservice;

    @Getter
    @Setter
    public static class Customsercice {

        /**
         * 必传
         * 客服账户
         */
        private String kf_account;
    }
}
