package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 客服发送音乐消息
 * 
 * @author wing
 *
 */
@Getter
@Setter
public class SendMsgMusicModel extends SendMsgModel {

    /**
     * 必传
     * 音乐内容
     */
    private MusicContent music;

    @Getter
    @Setter
    public static class MusicContent {

        /**
         * 非必传
         * 音乐消息的标题
         */
        private String title;

        /**
         * 非必传
         * 音乐消息的描述
         */
        private String description;
        
        /**
         * 必传
         * 音乐链接
         */
        private String musicurl;
        
        /**
         * 必传
         * 高品质音乐链接，wifi环境优先使用该链接播放音乐
         */
        private String hqmusicurl;
        
        /**
         * 必传
         * 缩略图的媒体ID
         */
        private String thumb_media_id;
    }
}
