package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 客服输入状态
 * @author wing
 *
 */
@Getter
@Setter
public class SendMsgTypingModel extends BaseReqModel {

    /**
     * 必传
     * 普通用户（openid）
     */
    private String touser;
    
    /**
     * 必传
     * "Typing"：对用户下发“正在输入"状态 "CancelTyping"：取消对用户的”正在输入"状态
     */
    private String command;

}
