package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 客服发送视频消息
 * 
 * @author wing
 *
 */
@Getter
@Setter
public class SendMsgVideoModel extends SendMsgModel {

    /**
     * 必传
     * 视频内容
     */
    private VideoContent video;

    @Getter
    @Setter
    public static class VideoContent extends MsgMediaIdModel {
        
        /**
         * 必传
         * 缩略图的媒体ID
         */
        private String thumb_media_id;
        
        /**
         * 非必传
         * 视频消息的标题
         */
        private String title;
        
        /**
         * 非必传
         * 视频消息的描述
         */
        private String description;
    }
}
