package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 模版消息跳转小程序参数
 * @author wing
 *
 */
@Getter
@Setter
public class SendTempMsgDataModel {

    /**
     * 消息内容
     */
    private String value;
    
    /**
     * 模板内容字体颜色，不填默认为黑色
     */
    private String color;

    public SendTempMsgDataModel(String value){
        this.value=value;
        this.color="#173177";
    }

    public SendTempMsgDataModel(String value,String color){
        this.value=value;
        this.color=color;
    }

    public SendTempMsgDataModel(){

    }
}
