package com.company.cloud.wx.sdk.work.enums;
/**
 * 企业微信:
 * */
public enum WxWorkAddressBookApiType {

    Create_Member("/cgi-bin/user/create"),
    Get_Member("/cgi-bin/user/get"),
    Update_Member("/cgi-bin/user/update"),
    Delete_Member("/cgi-bin/user/delete"),
    Batch_Delete_Member("/cgi-bin/user/batchdelete"),
    User_Simple_List("/cgi-bin/user/simplelist"),
    User_List("/cgi-bin/user/list"),
    /*userid与openid互换*/
    Convert_To_OpenId("/cgi-bin/user/convert_to_openid"),
    Convert_To_UserId("/cgi-bin/user/convert_to_userid"),
    /*二次验证*/
    Auth_Succ("/cgi-bin/user/authsucc"),
    Invite("/cgi-bin/batch/invite"),
    Get_Join_Qrcode("/cgi-bin/corp/get_join_qrcode"),
    Get_Active_Stat("/cgi-bin/user/get_active_stat"),
    /*手机号获取用户id*/
    Get_Userid("/cgi-bin/user/getuserid"),
    List_Member_Auth("/cgi-bin/user/list_member_auth"),
    Check_Member_Auth("/cgi-bin/user/check_member_auth"),
    List_Selected_Ticket_User("/cgi-bin/user/list_selected_ticket_user"),
    /*部门管理*/
    Create_Department("/cgi-bin/department/create"),
    Update_Department("/cgi-bin/department/update"),
    Delete_Department("/cgi-bin/department/delete"),
    List_Department("/cgi-bin/department/list"),
    /*标签管理*/
    Create_Tag("/cgi-bin/tag/create"),
    Update_Tag("/cgi-bin/tag/update"),
    Delete_Tag("/cgi-bin/tag/delete"),
    Get_Tag_User("/cgi-bin/tag/get"),
    Add_Tag_User("/cgi-bin/tag/addtagusers"),
    Delete_Tag_User("/cgi-bin/tag/deltagusers"),
    Get_Tag_List("/cgi-bin/tag/list"),
    /**异步批量接口*/
    Batch_Update_User("/cgi-bin/batch/syncuser"),
    Batch_Replace_User("/cgi-bin/batch/replaceuser"),
    Batch_Replace_Party("/cgi-bin/batch/replaceparty"),
    Batch_Get_Result("/cgi-bin/batch/getresult"),
    /**互联企业**/
    Linkedcorp_Get_User("/cgi-bin/linkedcorp/user/get"),
    Linkedcorp_Get_Perm("/cgi-bin/linkedcorp/agent/get_perm_list"),
    Linkedcorp_User_SimpleList("/cgi-bin/linkedcorp/user/simplelist"),
    Linkedcorp_User_List("/cgi-bin/linkedcorp/user/list"),
    Linkedcorp_Department_List("/cgi-bin/linkedcorp/department/list"),
    /**消息推送**/
    Message_Send("/cgi-bin/message/send"),
    ;

    private final String type;

    WxWorkAddressBookApiType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
