package com.company.cloud.wx.sdk.work.enums;

/**
 * 企业微信:
 * */
public enum WxWorkRegisterPath {

    // 接口调用
    GET_PROVIDER_TOKEN("/cgi-bin/service/get_provider_token"),
    GET_REGISTER_CODE("/cgi-bin/service/get_register_code"),
    GET_REGISTER_INFO("/cgi-bin/service/get_register_info"),
    SET_SCOPE("/cgi-bin/agent/set_scope"),
    CONTACT_SYNC_SUCCESS("/cgi-bin/sync/contact_sync_success"),

    ;

    private final String type;

    WxWorkRegisterPath(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
