package com.company.cloud.wx.sdk.work.intra;

import com.company.cloud.wx.sdk.work.enums.WxWorkIdentityAuthApiType;
import com.company.cloud.wx.sdk.work.model.identityauth.GetUserInfoReq;
import com.company.cloud.wx.sdk.work.model.identityauth.GetUserInfoResp;
import com.company.cloud.wx.sdk.work.utils.WxWorkUtils;

/**
 * 企业微信身份认证API
 */
public class WxWorkIdentityAuthApi {

    /*******网页授权登录********/
    /**
     * 访问用户身份
     * 参考：https://work.weixin.qq.com/api/doc/90000/90135/91023
     */
    public static GetUserInfoResp getUserInfo(GetUserInfoReq entity) {
        return WxWorkUtils.getReq(new GetUserInfoResp(), WxWorkIdentityAuthApiType.Get_UserInfo.getType(), entity);

    }

}
