package com.company.cloud.wx.sdk.work.model.authorize;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 获取suite_access_token
 */
@Getter
@Setter
public class AuthInfoModel extends BaseModel {

    /**
     * 必传
     * 第三方应用access_token,最长为512字节
     */
    private String suite_access_token;

    /**
     * 必传
     * 授权方corpid
     */
    private String auth_corpid;

    /**
     * 必传
     * 永久授权码，通过get_permanent_code获取
     */
    private String permanent_code;

}
