package com.company.cloud.wx.sdk.work.model.authorize;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 获取suite_access_token
 */
@Getter
@Setter
public class PermanentCodeModel extends BaseModel {

    /**
     * 必传
     * 第三方应用access_token,最长为512字节
     */
    private String suite_access_token;
    /**
     * 必传
     * 临时授权码，会在授权成功时附加在redirect_uri中跳转回第三方服务商网站，或通过授权成功通知回调推送给服务商。长度为64至512个字节
     */
    private String auth_code;
}
