package com.company.cloud.wx.sdk.work.model.authorize;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import com.company.cloud.wx.sdk.work.model.authorize.permanent.SessionInfo;
import lombok.Getter;
import lombok.Setter;

/**
 * 获取suite_access_token
 */
@Getter
@Setter
public class SessionInfoModel extends BaseModel {

    /**
     * 必传
     * 第三方应用access_token,最长为512字节
     */
    private String suite_access_token;

    /**
     * 必传
     * 第三方应用access_token,最长为512字节
     */
    private String pre_auth_code;
    /**
     * 必传
     * 本次授权过程中需要用到的会话信息
     */
    private SessionInfo session_info;



}
