package com.company.cloud.wx.sdk.work.model.authorize.permanent;

import lombok.Getter;
import lombok.Setter;

/**
 * 应用的管理员列表（不包括外部管理员），成员授权模式下，不返回系统管理员
 */
@Getter
@Setter
public class Admin {

    /**
     * 管理员的userid
     */
    private String userid;

    /**
     * 管理员的open_userid
     */
    private String open_userid;

    /**
     * 该管理员对应用的权限：0=发消息权限，1=管理权限
     */
    private String auth_type;

}
