package com.company.cloud.wx.sdk.work.model.department;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Data;

@Data
public class CreateDepartmentModel extends BaseReqModel {
    /**
    * 必传	部门名称，同一个层级的部门名称不能重复。长度限制为1~32个字符，字符不能包括\:?”<>｜
    */
    private String name	;
    /**
    *非必传 英文名称。同一个层级的部门名称不能重复。需要在管理后台开启多语言支持才能生效。长度限制为1~32个字符，字符不能包括\:?”<>｜
    */
    private String name_en;
    /**
    *必传 父部门id，32位整型
    */
    private Integer parentid;
    /**
    *否 在父部门中的次序值。order值大的排序靠前。
    */
    private Integer order;
    /**
    *否	部门id，32位整型，指定时必须大于1。若不填该参数，将自动生成id
    */
    private Integer id	;
}
