package com.company.cloud.wx.sdk.work.model.externalcontact.customer;
import lombok.Setter;
import lombok.Getter;

import javax.xml.bind.annotation.*;

@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {
        "suiteId",
        "authCorpId",
        "infoType",
        "timeStamp",
        "id",
        "tagType",
        "chatId",
        "changeType",
        "failReason",
        "userId",
        "externalUserId",
        "state",
        "welcomeCode",
        "source",
        "updateDetail",
        "joinScene",
        "quitScene",
        "memChangeCnt"
})
public class CustomerChangeXmlModel {

    @XmlElement(name = "SuiteId")
    private String suiteId;

    @XmlElement(name = "AuthCorpId")
    private String authCorpId;

    @XmlElement(name = "InfoType")
    private Integer infoType;

    @XmlElement(name = "TimeStamp")
    private Long timeStamp;

    @XmlElement(name = "Id")
    private String id;

    @XmlElement(name = "TagType")
    private String tagType;

    @XmlElement(name = "ChatId")
    private String chatId;

    @XmlElement(name = "ChangeType")
    private String changeType;

    @XmlElement(name = "FailReason")
    private String failReason;

    @XmlElement(name = "UserID")
    private String userId;

    @XmlElement(name = "ExternalUserID")
    private String externalUserId;

    @XmlElement(name = "State")
    private String state;

    @XmlElement(name = "WelcomeCode")
    private String welcomeCode;

    @XmlElement(name = "Source")
    private String source;

    @XmlElement(name = "UpdateDetail")
    private String updateDetail;

    @XmlElement(name = "JoinScene")
    private Integer joinScene;

    @XmlElement(name = "QuitScene")
    private Integer quitScene;

    @XmlElement(name = "MemChangeCnt")
    private Integer memChangeCnt;
}
