package com.company.cloud.wx.sdk.work.model.externalcontact.customer;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class CustomerInfoBatchResp extends BaseRespModel {

    /**
     * 客户的信息
     */
    private List<CustomerInfo> external_contact_list;

    /**
     * 分页游标，再下次请求时填写以获取之后分页的记录，如果已经没有更多的数据则返回空
     */
    private String next_cursor;

    @Getter
    @Setter
    public static class CustomerInfo {

        /**
         * 外部联系人详情
         */
        private CustomerModel external_contact;

        /**
         * 添加了此外部联系人的企业成员对此联系人的操作信息
         */
        private FollowUserModel follow_info;
    }
}
