package com.company.cloud.wx.sdk.work.model.externalcontact.customer;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MobileHashCodeReqModel extends BaseReqModel {

    /**
     * 手机号
     * 必传
     */
    private String mobile;

    /**
     * 企业自定义的state参数，用于区分不同的添加渠道，在调用“获取外部联系人详情”时会返回该参数值
     * 非必传
     */
    private String state;
}
