package com.company.cloud.wx.sdk.work.model.externalcontact.groupchat;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class GroupChatModel {

    /**
     * 客户群ID
     */
    private String chat_id;

    /**
     * 群名
     */
    private String name;

    /**
     * 群主ID
     */
    private String owner;

    /**
     * 群的创建时间
     */
    private Integer create_time;

    /**
     * 群公告
     */
    private String notice;

    /**
     * 群成员列表
     */
    private List<GroupChatMemberModel> member_list;

    /**
     * 群管理员列表
     */
    private List<GroupChatAdminModel> admin_list;
}
