package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.wx.sdk.work.model.externalcontact.MsgTypeModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class GroupMsgModel extends MsgTypeModel {

    /**
     * 企业群发消息的id，可用于获取企业群发成员执行结果
     */
    private String msgid;

    /**
     * 群发消息创建者userid，API接口创建的群发消息不吐出该字段
     */
    private List<String> creator;

    /**
     * 创建时间
     */
    private Long create_time;

    /**
     * 群发消息创建来源。0：企业 1：个人
     */
    private Integer create_type;
}
