package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class GroupMsgTaskReqModel extends BaseReqModel {

    /**
     * 群发消息的id，通过获取群发记录列表接口返回
     * 必传
     */
    private String msgid;

    /**
     * 返回的最大记录数，整型，最大值1000，默认值500，超过最大值时取默认值
     * 非必传
     */
    private Integer limit;

    /**
     * 用于分页查询的游标，字符串类型，由上一次调用返回，首次调用可不填
     * 非必传
     */
    private String cursor;
}
