package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class GroupMsgTaskResp extends BaseRespModel {

    /**
     * 分页游标，再下次请求时填写以获取之后分页的记录，如果已经没有更多的数据则返回空
     */
    private String next_cursor;

    /**
     * 群发成员发送任务列表
     */
    private List<Task> task_list;

    @Getter
    @Setter
    public class Task {

        /**
         * 企业服务人员的userid
         */
        private String userid;

        /**
         * 发送状态 0-未发送 1-已确认 2-已发送
         */
        private Integer status;

        /**
         * 发送时间，未发送时不返回
         */
        private Long send_time;

    }
}
