package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import com.company.cloud.wx.sdk.work.model.externalcontact.MsgTypeModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class WelcomeMsgAddReqModel extends BaseReqModel {

    /**
     * 授权方安装的应用agentid。仅旧的第三方多应用套件需要填此参数
     * 非必传
     */
    private Long agentid;

    /**
     * 消息文本
     * 非必传
     */
    private MsgTypeModel.Text text;

    /**
     * 图片
     * 非必传
     */
    private MsgTypeModel.Image image;

    /**
     * 图文消息
     * 非必传
     */
    private MsgTypeModel.Link link;

    /**
     * 小程序消息
     * 非必传
     */
    private MsgTypeModel.Miniprogram miniprogram;

    /**
     * 文件
     * 非必传
     */
    private MsgTypeModel.File file;

    /**
     * 媒体
     * 非必传
     */
    private MsgTypeModel.Video video;

}
