package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.wx.sdk.work.model.externalcontact.MsgTypeModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class WelcomeMsgGetResp extends BaseRespModel {

    /**
     * 欢迎语素材id
     */
    private String template_id;

    /**
     * 消息文本
     */
    private MsgTypeModel.Text text;

    /**
     * 图片
     */
    private MsgTypeModel.Image image;

    /**
     * 图文消息
     */
    private MsgTypeModel.Link link;

    /**
     * 小程序消息
     */
    private MsgTypeModel.Miniprogram miniprogram;

    /**
     * 文件
     */
    private MsgTypeModel.File file;

    /**
     * 媒体
     */
    private MsgTypeModel.Video video;
}
