package com.company.cloud.wx.sdk.work.model.externalcontact.message;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import com.company.cloud.wx.sdk.work.model.externalcontact.MsgTypeModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
public class WelcomeMsgSendReqModel extends BaseReqModel {

    /**
     * 通过添加外部联系人事件推送给企业的发送欢迎语的凭证，有效期为20秒
     * 必传
     */
    private String welcome_code;

    /**
     * 消息文本
     * 非必传
     */
    private MsgTypeModel.Text text;


    /**
     * 附件
     * 非必传
     */
    private List<Map<String, Object>> attachments;

}
