package com.company.cloud.wx.sdk.work.model.externalcontact.moment;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class MomentCommentResp extends BaseRespModel {

    /**
     * 评论列表
     */
    private List<Comment> comment_list;

    /**
     * 点赞列表
     */
    private List<Comment> like_list;

    @Getter
    @Setter
    public class Comment {

        /**
         * 评论或点赞客户
         */
        private String external_userid;

        /**
         * 评论或点赞时间
         */
        private Long create_time;
    }
}
