package com.company.cloud.wx.sdk.work.model.externalcontact.moment;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MomentListReqModel extends BaseReqModel {

    /**
     * 朋友圈记录开始时间
     * 必传
     */
    private Long start_time;

    /**
     * 朋友圈记录结束时间
     * 必传
     */
    private Long end_time;

    /**
     * 朋友圈创建人企业账号id
     * 非必传
     */
    private String creator;

    /**
     * 朋友圈类型。0：企业发表 1：个人发表 2：所有，包括个人创建以及企业创建，默认情况下为所有类型
     * 非必传
     */
    private Integer filter_type;

    /**
     * 用于分页查询的游标，字符串类型，由上一次调用返回，首次调用可不填
     */
    private String cursor;

    /**
     * 返回的最大记录数，整型，最大值100，默认值100，超过最大值时取默认值
     * 非必传
     */
    private Integer limit;

}
