package com.company.cloud.wx.sdk.work.model.externalcontact.moment;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MomentTaskReqModel extends BaseReqModel {

    /**
     * 朋友圈id,仅支持企业发表的朋友圈id
     * 必传
     */
    private String moment_id;

    /**
     * 用于分页查询的游标，字符串类型，由上一次调用返回，首次调用可不填
     * 非必传
     */
    private String cursor;

    /**
     * 返回的最大记录数，整型，最大值1000，默认值500，超过最大值时取默认值
     * 非必传
     */
    private Integer limit;

}
