package com.company.cloud.wx.sdk.work.model.externalcontact.tag;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TagInfoModel {

    /**
     * 标签id
     */
    private String id;

    /**
     * 标签名称
     */
    private String name;

    /**
     * 标签创建时间
     */
    private Integer create_time;

    /**
     * 标签排序的次序值，order值大的排序靠前。有效的值范围是[0, 2^32)
     */
    private Integer order;

    /**
     * 标签是否已经被删除，只在指定tag_id/group_id进行查询时返回
     */
    private Boolean deleted;
}
