package com.company.cloud.wx.sdk.work.model.externalcontact.transfer;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class ResignedTransferCustomerReq extends BaseReqModel {

    /**
     * 需要转群主的客户群ID列表。取值范围： 1 ~ 100
     * 必传
     */
    private List<String> external_userid;

    /**
     * 原跟进成员的userid
     * 必传
     */
    private String handover_userid;

    /**
     * 接替成员的userid
     * 必传
     */
    private String takeover_userid;
}
