package com.company.cloud.wx.sdk.work.model.externalcontact.transfer;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class TransferGroupResp extends BaseRespModel {

    /**
     * 没能成功继承的群
     */
    private List<FailedGroup> failed_chat_list;

    @Getter
    @Setter
    public class FailedGroup {

        /**
         * 没能成功继承的群ID
         */
        private String chat_id;

        /**
         * 没能成功继承的群，错误码
         */
        private String errcode;

        /**
         * 没能成功继承的群，错误描述
         */
        private String errmsg;
    }
}
