package com.company.cloud.wx.sdk.work.model.externalcontact.transfer;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TransferReqModel extends BaseReqModel {

    /**
     * 需要转群主的客户群ID列表。取值范围： 1 ~ 100
     * 必传
     */
    private String external_userid;

    /**
     * 原跟进成员的userid
     * 必传
     */
    private String handover_userid;

    /**
     * 接替成员的userid
     * 必传
     */
    private String takeover_userid;

    /**
     * 转移成功后发给客户的消息，最多200个字符，不填则使用默认文案，目前只对在职成员分配客户的情况生效
     * 非必传
     */
    private String transfer_success_msg;
}
