package com.company.cloud.wx.sdk.work.model.externalcontact.transfer;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UnassignedListReqModel extends BaseReqModel {

    /**
     * 分页查询，要查询页号，从0开始
     * 非必传
     */
    private Integer page_id;

    /**
     * 每次返回的最大记录数，默认为1000，最大值为1000
     * 非必传
     */
    private String cursor;

    /**
     * 分页查询游标，字符串类型，适用于数据量较大的情况，如果使用该参数则无需填写page_id，该参数由上一次调用返回
     * 非必传
     */
    private Integer page_size;
}
