package com.company.cloud.wx.sdk.work.model.identityauth;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Data;

@Data
public class GetUserInfoResp extends BaseRespModel {
    /**
    *成员UserID。若需要获得用户详情信息，可调用通讯录接口：读取成员。如果是互联企业或者企业互联，则返回的UserId格式如：CorpId/userid
    */
    private String UserId;
    /**
    *手机设备号(由企业微信在安装时随机生成，删除重装会改变，升级不受影响)
    */
    private String DeviceId;
}
