package com.company.cloud.wx.sdk.work.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MediaUploadResp extends BaseRespModel {

    /**
     * 媒体文件类型，分别有图片（image）、语音（voice）、视频（video），普通文件(file)
     */
    private String type;

    /**
     * 媒体文件上传后获取的唯一标识，3天内有效
     */
    private String media_id;

    /**
     * 媒体文件上传时间戳
     */
    private String created_at;
}
