package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Data;

import java.util.List;

@Data
public class CorpUserSimpleListResp extends BaseRespModel {
    /**
    * 成员列表
    */
    private List<CorpUserSimple> userlist;

    @Data
    private class CorpUserSimple {
        /**
        *成员UserID。对应管理端的帐号
        */
        private String userid;
        /**
        *成员真实名称
        */
        private String name;
        /**
        *成员所属部门id列表，这个字段只会返回传入的department_id所属的互联企业里的部门id
        */
        private String[] department;
        /**
        *所属企业的corpid
        */
        private String corpid;
    }
}
