package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 更新成员
 */
@Getter
@Setter
public class MessageSendResp extends BaseRespModel {

    /**
     * 不合法的userid，不区分大小写，统一转为小写
     */
    private String invaliduser;

    /**
     * 不合法的partyid
     */
    private String invalidparty;

    /**
     * 不合法的标签id
     */
    private String invalidtag;

    /**
     * 消息id，用于撤回应用消息
     */
    private String msgid;

    /**
     * 仅消息类型为“按钮交互型”，“投票选择型”和“多项选择型”的模板卡片消息返回，应用可使用response_code调用更新模版卡片消息接口，24小时内有效，且只能使用一次
     */
    private String response_code;

}
