package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Data;

import java.util.List;
import java.util.Set;

/**
 * 获取部门成员
 */
@Data
public class UserSimpleListResp extends BaseRespModel {
    private List<SimpleUser> userlist;

    @Data
    public class SimpleUser{
        /**
        *成员UserID。对应管理端的帐号
        */
        private String userid;
        /**
        *成员名称
        */
        private String name;
        /**
        *成员所属部门列表
        */
        private Set<Integer> department;
        /**
        *全局唯一。对于同一个服务商，不同应用获取到企业内同一个成员的open_userid是相同的，最多64个字节。仅第三方应用可获取
        */
        private String open_userid;
    }
}
