package com.company.cloud.wx.sdk.work.model.register;

import lombok.Getter;
import lombok.Setter;

/**
 * 通讯录迁移的凭证信息。仅当注册推广包开启通讯录迁移接口时返回该参数
 */
@Getter
@Setter
public class ContactSync {

    /**
     * 通讯录api接口调用凭证，有全部通讯录读写权限。（请注意与provider_access_token的区别）
     */
    private String access_token;

    /**
     * access_token凭证的有效时间（秒）
     */
    private Integer expires_in;

}
