package com.company.cloud.wx.sdk.work.model.register;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RegisterCodeResp extends BaseRespModel {

    /**
     * 注册码，只能消费一次。在访问注册链接时消费。最长为512个字节
     */
    private String register_code;

    /**
     * register_code有效期，生成链接需要在有效期内点击跳转
     */
    private Integer expires_in;

}
