package com.company.cloud.wx.sdk.work.model.register;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class ScopeModel extends BaseModel {

    /**
     * 必传
     * 查询注册状态接口返回的access_token（跟注册完成回调事件的AccessToken参数一致，请注意与provider_access_token的区别）
     */
    private String access_token;
    /**
     * 必传
     * 授权方应用id
     */
    private Integer agentid;
    /**
     * 非必传
     * 应用可见范围（成员）若未填该字段，则清空可见范围中成员列表
     */
    private List<String> allow_user;
    /**
     * 非必传
     * 应用可见范围（部门）若未填该字段，则清空可见范围中部门列表
     */
    private List<Integer> allow_party;
    /**
     * 非必传
     * 应用可见范围（标签）若未填该字段，则清空可见范围中标签列表
     */
    private List<Integer> allow_tag;

}
