package com.company.cloud.wx.sdk.work.model.tag;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Data;

import java.util.List;

@Data
public class BatchGetResultReqResp extends BaseRespModel {
    /**
    *任务状态，整型，1表示任务开始，2表示任务进行中，3表示任务已完成
    */
    private Integer status;
    /**
    *1. sync_user(增量更新成员) 2. replace_user(全量覆盖成员)3. replace_party(全量覆盖部门)
    */
    private String type;
    /**
    *任务运行总条数
    */
    private Integer total;
    /**
    *目前运行百分比，当任务完成时为100
    */
    private Integer percentage;
    /**
    *详细的处理结果，具体格式参考下面说明。当任务完成后此字段有效
     * type为sync_user、replace_user时:Object: "userid":"lisi","errcode":0,"errmsg":"ok"
     * type为replace_party时,Object:"action":4,"partyid":2,"errcode":0,"errmsg":"ok"
    */
    private List<Object> result;
}
