package com.company.cloud.wx.sdk.work.model.tag;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Data;

import java.util.List;

@Data
public class DeleteTagUserResp extends BaseReqModel {
    /**
    *标签id
    *必传
    */
    private Integer tagid;
    /**
    * 否 企业成员ID列表,注意：userlist、partylist不能同时为空，单次请求个数不超过1000
    */
    private List<String> userlist;
    /**
    *否 企业部门ID列表，注意：userlist、partylist不能同时为空，单次请求个数不超过100
    */
    private List<Integer> partylist;
}
