package com.company.cloud.sdk.weixin.im.enums;

/**
 *  微信小程序可用域名枚举
 * */
public enum WxIMDomain {


    /**
     * 中国国内
     */
    CHINA("https://console.tim.qq.com/")
    ;

    /**
     * 域名
     */
    private final String domain;

    WxIMDomain(String domain) {
        this.domain = domain;
    }

    public String getType() {
        return domain;
    }

    @Override
    public String toString() {
        return domain;
    }

}
