package com.company.cloud.sdk.weixin.im.model.account;

import lombok.Data;

/**
 * @Author dhz
 * @Date 2022/9/23 18:15
 */
@Data
public class AccountCheckResultModel {
    /**
     *请求检查的帐号的 UserID
     */
    private String UserID;
    /**
     *单个帐号检查失败时的错误描述信息
     */
    private String ResultInfo;

    /**
     *单个帐号的检查结果：0表示成功，非0表示失败
     */
    private String ResultCode;

    /**
     * 单个帐号的导入状态：Imported 表示已导入，NotImported 表示未导入
     */
    private String AccountStatus;
}
