package com.company.cloud.sdk.weixin.im.model.account;

import com.company.cloud.sdk.weixin.im.model.IMSignModel;
import lombok.Data;

/**
 * @Author dhz
 * @Date 2022/9/23 15:08
 */
@Data
public class AccountImportModel extends IMSignModel {

    /** 用户名，长度不超过32字节 必填*/
    private String UserID;

    /** 用户昵称 选填*/
    private String Nick;

    /** 用户头像 URL 选填*/
    private String FaceUrl;


}
