package com.company.cloud.sdk.weixin.mini.model;

import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * 小程序模板消息相关的信息
 * */
@Getter
@Setter
public class WeappTemplateMsgModel {
    /**小程序模板ID*/
    private String template_id;
    /**小程序页面路径*/
    private String page;
    /**小程序模板消息formid*/
    private String form_id;
    /**小程序模板数据*/
    private Map<String, WxMiniDataValModel> data;
    /**小程序模板放大关键词*/
    private String emphasis_keyword;
}
