package com.company.cloud.sdk.weixin.mp.enums;

public enum WxMpDomain {


    /**
     * 通用域名
     */
    CHINA("https://api.weixin.qq.com"),

    /**
     * 通用异地容灾域名
     * */
    CHINA2("https://api2.weixin.qq.com"),
    
    /**
     * 网页授权域名
     * */
    OPEN("https://open.weixin.qq.com"),

    /**
     *上海域名
     * */
    SH("https://sh.api.weixin.qq.com"),

    /**
     *深圳域名
     * */
    SZ("https://sz.api.weixin.qq.com"),

    /**
     *香港域名
     * */
    HK("https://hk.api.weixin.qq.com"),

    ;
    private final String domain;

    WxMpDomain(String domain) {
        this.domain = domain;
    }

    public String getType() {
        return domain;
    }

    @Override
    public String toString() {
        return domain;
    }
}
