package com.company.cloud.sdk.weixin.mp.enums;

public enum WxMpMenuType {

    /**网页类型*/
    VIEW("view"),
    
    /**点击类型*/
    CLICK("click"),
    
    /**小程序类型*/
    MINI("miniprogram"),
    
    /**扫码推事件*/
    SCAN_PUSH("scancode_push"),
    
    /**扫码推事件且弹出“消息接收中”提示框*/
    SCAN_WAIT("scancode_waitmsg"),
    
    /**弹出系统拍照发图*/
    PIC_PHOTO("pic_sysphoto"),
    
    /**弹出拍照或者相册发图*/
    PIC_PHOTO_ALBUM("pic_photo_or_album"),
    
    /**弹出微信相册发图器*/
    PIC_WX("pic_weixin"),
    
    /**弹出地理位置选择器*/
    LOCAL("location_select"),
    
    /**下发消息（除文本消息）*/
    MEDIA("media_id"),
    
    /**跳转图文消息URL*/
    VIEW_LIMITED("view_limited"),

    
    ;

    private final String type;
    
    WxMpMenuType(String type) {
        this.type = type;
    }
    
    public String getType() {
        return type;
    }
}
