package com.company.cloud.sdk.weixin.mp.model;


import lombok.Getter;
import lombok.Setter;

/**
 * 通过code换取网页授权access_token
 * 页面access_token和openID
 * */
@Getter
@Setter
public class Code2AccessTokenModel {

    /**第三方用户唯一凭证(是)*/
    private String appid;

    /**第三方用户唯一凭证密钥(是)*/
    private String secret;

    /**填写第一步获取的code参数(是)*/
    private String code;

    /**填写为authorization_code(是)*/
    private String grant_type="authorization_code";


}
