package com.company.cloud.sdk.weixin.mp.model;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.*;

/**
 * 刷新access_token,用户登录的access_token
 * 页面access_token
 * */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class RefreshTokenModel extends BaseModel {


    /**公众号的唯一标识(是)*/
    private String appid;

    /**填写通过access_token获取到的refresh_token参数(是)*/
    private String grant_type="refresh_token";

    /**填写为refresh_token(是)*/
    private String refresh_token;


}
