package com.company.cloud.sdk.weixin.mp.model.autoreply;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 自动消息回复配置
 * */
@Getter
@Setter
public class AutoReplyInfoModel {

    /**规则名称*/
    private String rule_name;

    /**创建时间*/
    private String create_time;

    /**回复模式，reply_all代表全部回复，random_one代表随机回复其中一条*/
    private String reply_mode;

    /**匹配的关键词列表*/
    private List<KeywordInfoModel> keyword_list_info;

    /**匹配的信息列表*/
    private List<ReplyInfoModel> reply_list_info;

}
