package com.company.cloud.sdk.weixin.mp.model.autoreply;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 基础获取AccessToken
 * */
@Getter
@Setter
public class CurrentAutoReplyInfoModel extends BaseRespModel {

    /**关注后自动回复是否开启，0代表未开启，1代表开启")*/
    private String is_add_friend_reply_open;

    /**消息自动回复是否开启，0代表未开启，1代表开启*/
    private String is_autoreply_open;

    /**关注后自动回复的信息*/
    private DefaultAutoReplyInfoModel add_friend_autoreply_info;

    /**消息自动回复的信息*/
    private DefaultAutoReplyInfoModel message_default_autoreply_info;

    /**关键词自动回复的信息*/
    private KeywordAutoReplyInfoModel keyword_autoreply_info;


}
