package com.company.cloud.sdk.weixin.mp.model.autoreply;

import lombok.Getter;
import lombok.Setter;

/**
 * 匹配的关键词列表
 * */
@Getter
@Setter
public class KeywordInfoModel {

    /**类型*/
    private String type;

    /**匹配模式，contain代表消息中含有该关键词即可，equal表示消息内容必须和关键词严格相同*/
    private String match_mode;

    /**此处content即为关键词内容*/
    private String content;

}
