package com.company.cloud.sdk.weixin.mp.model.media;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 评论
 */
@Getter
@Setter
public class CommentModel {

    /**
     * 用户评论id
     */
    private Integer user_comment_id;

    /**
     * openid
     */
    private String openid;

    /**
     * 评论时间
     */
    private String create_time;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 是否精选评论，0为即非精选，1为true，即精选
     */
    private Integer comment_type;

    /**
     * 作者回复
     */
    private List<CommentReplyModel> reply;
}
