package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 评论
 */
@Getter
@Setter
public class CommentReqModel extends BaseReqModel {

    /**
     * 必传
     * 群发返回的msg_data_id
     */
    private Integer msg_data_id;
    
    /**
     * 非必传
     * 多图文时，用来指定第几篇图文，从0开始，不带默认操作该msg_data_id的第一篇图文
     */
    private Integer index;
}
