package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询永久素材总数
 */
@Getter
@Setter
public class MateriaQueryCountResp extends BaseRespModel {

    /** 语音总数量 */
    private Integer voice_count;

    /** 视频总数量 */
    private Integer video_count;

    /** 图片总数量 */
    private Integer image_count;

    /** 图文总数量 */
    private Integer news_count;
}
