package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 查询永久素材
 */
@Getter
@Setter
public class MateriaQueryResp extends BaseRespModel {

    /**
     * 如果返回的图文素材
     */
    private List<ArticleModel> news_item;
    
    /**
     * 如果返回的是视频消息素材
     */
    private String title;
    private String description;
    private String down_url;
}
