package com.company.cloud.sdk.weixin.mp.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 修改永久图文素材
 */
@Getter
@Setter
public class MateriaUpdateModel extends BaseReqModel {

    /**
     * 必传
     * 要修改的图文消息的id
     */
    private String media_id;
    
    /**
     * 必传
     * 要更新的文章在图文消息中的位置（多图文消息时，此字段才有意义），第一篇为0
     */
    private String index;
    
    /**
     * 必传
     * 图文消息
     */
    private ArticleModel articles;

}
