package com.company.cloud.sdk.weixin.mp.model.menu;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 自定义菜单menu
 */
@Getter
@Setter
public class MenuModel extends BaseRespModel {

    /**
     * 一级菜单数组，个数应为1~3个
     */
    private List<MenuButtonModel> button;
    
    /**
     * 菜单匹配规则
     */
    private MenuMatchruleModel matchrule;
    
    /**
     * 菜单id
     */
    private String menuid;

}
