package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 客服账号设置
 * @author wing
 *
 */
@Getter
@Setter
public class KfAccountSetModel extends KfAccountModel {

    /**
     * 必传
     * 客服昵称，最长6个汉字或12个英文字符
     */
    private String nickname;
    
    /**
     * 必传
     * 客服账号登录密码，格式为密码明文的32位加密MD5值。该密码仅用于在公众平台官网的多客服功能中使用，若不使用多客服功能，则不必设置密码
     */
    private String password;

}
