package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 根据标签进行群发【订阅号与服务号认证后均可用】
 * @author wing
 *
 */
@Getter
@Setter
public class MassSendAllResp extends BaseRespModel {

    /**
     * 消息发送任务的ID
     */
    private Integer msg_id;
    
    /**
     * 消息的数据ID，该字段只有在群发图文消息时，才会出现。
     * 可以用于在图文分析数据接口中，获取到对应的图文消息的数据，是图文分析数据接口中的msgid字段中的前半部分，
     * 详见图文分析数据接口中的msgid字段的介绍
     */
    private Integer msg_data_id;

}
