package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询群发消息发送状态【订阅号与服务号认证后均可用】
 * @author wing
 *
 */
@Getter
@Setter
public class MassStatusResp extends BaseRespModel {

    /**
     * 群发消息后返回的消息id
     */
    private Integer msg_id;
    
    /**
     * 消息发送后的状态，SEND_SUCCESS表示发送成功，SENDING表示发送中，SEND_FAIL表示发送失败，DELETE表示已删除
     */
    private String msg_status;

}
