package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.*;

/**
 * 回复文本消息
 * @author wing
 *
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)  
//XML文件中的根标识  
@XmlRootElement(name = "xml")  
//控制JAXB 绑定类中属性和字段的排序  
@XmlType(propOrder = {   
   "content",   
})
public class ReplyMsgTextModel extends MsgModel {

    // 回复的消息内容（换行：在content中能够换行，微信客户端就支持换行显示）
    @XmlElement(name = "Content")
    private String content;

}
