package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 模版消息跳转小程序参数
 * @author wing
 *
 */
@Getter
@Setter
public class SendTempMsgMiniProgramModel {

    /**
     * 所需跳转到的小程序appid（该小程序appid必须与发模板消息的公众号是绑定关联关系，暂不支持小游戏）
     */
    private String appid;
    
    /**
     * 所需跳转到小程序的具体页面路径，支持带参数,（示例index?foo=bar），要求该小程序已发布，暂不支持小游戏
     */
    private String pagepath;

    public SendTempMsgMiniProgramModel(String appid,String pagepath){
        this.appid=appid;
        this.pagepath=pagepath;
    }

    public SendTempMsgMiniProgramModel(){

    }
}
