package com.company.cloud.sdk.weixin.mp.model.msgmanage;

import lombok.Getter;
import lombok.Setter;

/**
 * 一次性订阅消息
 * url和miniprogram都是非必填字段，若都不传则模板无跳转；若都传，会优先跳转至小程序
 * 当用户的微信客户端版本不支持跳小程序时，将会跳转至url
 * @author wing
 *
 */
@Getter
@Setter
public class SubscribeTempMsgModel extends SendTempMsgModel {

    /**
     * 必传
     * 订阅场景值
     */
    private String scene;

    /**
     * 必传
     * 消息标题，15字以内
     */
    private String title;

}
