package com.company.cloud.sdk.weixin.mp.model.usermanage;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserOpenidListResp extends BaseRespModel {
    
    /**
     * 关注该公众账号/拉黑的总用户数
     */
    private String total;
    
    /**
     * 拉取的OPENID个数，最大值为10000
     */
    private String count;
    
    /**
     * 列表数据，OPENID的列表
     */
    private OpenidListModel data;
    
    /**
     * 拉取列表的最后一个用户的OPENID
     */
    private String next_openid;

}
