package com.company.cloud.sdk.weixin.open.enums;

public enum WxOpenDomain {

    /**
     * 通用域名
     */
    CHINA("https://api.weixin.qq.com"),

    ;
    private final String domain;

    WxOpenDomain(String domain) {
        this.domain = domain;
    }

    public String getType() {
        return domain;
    }

    @Override
    public String toString() {
        return domain;
    }
}
