package com.company.cloud.wx.sdk.work.enums;
/**
 * 企业微信:
 * */
public enum WxWorkApiType {

    Access_Token("/cgi-bin/gettoken"),

    Code2Session("/cgi-bin/miniprogram/jscode2session"),



    /**
     * 企业内部开发
     */

    // 企业微信网页授权
    Authorize2Code("/connect/oauth2/authorize"),

    // 获取访问用户身份
    GetUserInfo("/cgi-bin/auth/getuserinfo"),

    // 获取访问用户敏感信息
    GetUserDetail("/cgi-bin/auth/getuserdetail"),

    // 发送应用消息
    MessageSend("/cgi-bin/message/send"),

    ;

    private final String type;

    WxWorkApiType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
