package com.company.cloud.wx.sdk.work.inner.model;


import com.company.cloud.sdk.weixin.common.model.BaseRespModel;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class Ticket2UserInfoResp extends BaseRespModel {

    // 成员UserID
    private String userid;

    // 性别。0表示未定义，1表示男性，2表示女性。仅在用户同意snsapi_privateinfo授权时返回真实值，否则返回0.
    private String gender;

    // 头像url。仅在用户同意snsapi_privateinfo授权时返回真实头像，否则返回默认头像
    private String avatar;

    // 员工个人二维码（扫描可添加为外部联系人），仅在用户同意snsapi_privateinfo授权时返回
    private String qr_code;

    // 手机，仅在用户同意snsapi_privateinfo授权时返回，第三方应用不可获取
    private String mobile;

    // 邮箱，仅在用户同意snsapi_privateinfo授权时返回，第三方应用不可获取
    private String email;

    // 企业邮箱，仅在用户同意snsapi_privateinfo授权时返回，第三方应用不可获取
    private String biz_mail;

    // 仅在用户同意snsapi_privateinfo授权时返回，第三方应用不可获取
    private String address;

}
