package com.company.cloud.wx.sdk.work.intra;

import com.company.cloud.wx.sdk.work.enums.WxWorkAgentManageApiType;
import com.company.cloud.wx.sdk.work.model.agentmanage.GetAgentInfoReq;
import com.company.cloud.wx.sdk.work.model.agentmanage.GetAgentInfoResp;
import com.company.cloud.wx.sdk.work.utils.WxWorkUtils;

/**
 * 企业微信应用管理API
 */
public class WxWorkAgentManageApi {

    /**
     * 获取指定的用户详情
     * 参考：https://work.weixin.qq.com/api/doc/90000/90135/90227
     */
    public static GetAgentInfoResp getAgentInfo( GetAgentInfoReq entity) {
        return WxWorkUtils.getReq(new GetAgentInfoResp(), WxWorkAgentManageApiType.Get_Agent.getType(), entity);

    }



}
