package com.company.cloud.wx.sdk.work.model.authorize;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.wx.sdk.work.model.authorize.permanent.Admin;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 获取suite_access_token
 */
@Getter
@Setter
public class AdminListResp extends BaseRespModel {

    /**
     * 应用的管理员列表（不包括外部管理员），成员授权模式下，不返回系统管理员
     */
    private List<Admin> admin;

}
