package com.company.cloud.wx.sdk.work.model.authorize;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import com.company.cloud.wx.sdk.work.model.authorize.permanent.*;
import lombok.Getter;
import lombok.Setter;

/**
 * 获取suite_access_token
 */
@Getter
@Setter
public class AuthInfoResp extends BaseRespModel {

    /**
     * 代理服务商企业信息。应用被代理后才有该信息
     */
    private DealerCorpInfo dealer_corp_info;

    /**
     * 授权方企业信息
     */
    private AuthCorpInfo auth_corp_info;

    /**
     * 授权信息。如果是通讯录应用，且没开启实体应用，是没有该项的。通讯录应用拥有企业通讯录的全部信息读写权限
     */
    private AuthInfo auth_info;

}
