package com.company.cloud.wx.sdk.work.model.authorize.permanent;

import lombok.Getter;
import lombok.Setter;

import java.util.Set;

/**
 * 获取suite_access_token
 */
@Getter
@Setter
public class SessionInfo {

    /**
     * 必传
     * 允许进行授权的应用id，如1、2、3， 不填或者填空数组都表示允许授权套件内所有应用（仅旧的多应用套件可传此参数，新开发者可忽略）
     */
    private Set<String> appid;

    /**
     * 必传
     * 授权类型：0 正式授权， 1 测试授权。 默认值为0。注意，请确保应用在正式发布后的授权类型为“正式授权”
     */
    private String auth_type;




}
