package com.company.cloud.wx.sdk.work.model.common;


import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.Getter;
import lombok.Setter;

/**
 * 获取用户ID和sessionKey
 */
@Getter
@Setter
public class Code2SessionModel extends BaseModel {

    /**
     * 调用接口凭证(企业微信应用的access_token)
     * 不能为空
     * */
    private String access_token;

    /**
     * 登录时获取的 code
     * */
    private String js_code;

    /**
     * 固定为authorization_code
     * */
    private String grant_type="authorization_code";
}
