package com.company.cloud.wx.sdk.work.model.externalcontact.customer;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class CustomerInfoBatchReqModel extends BaseReqModel {

    /**
     * 企业成员的userid
     * 必传
     */
    private List<String> userid_list;

    /**
     * 用于分页查询的游标，字符串类型，由上一次调用返回，首次调用可不填
     * 非必传
     */
    private String cursor;

    /**
     * 返回的最大记录数，整型，最大值100，默认值50，超过最大值时取最大值
     * 非必传
     */
    private Integer limit;
}
