package com.company.cloud.wx.sdk.work.model.externalcontact.moment;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MomentCustomerListReqModel extends BaseReqModel {

    /**
     * 朋友圈id
     * 必传
     */
    private String moment_id;

    /**
     * 企业发表成员userid，如果是企业创建的朋友圈，可以通过获取朋友圈成员任务列表获取已发表成员userid，
     * 如果是个人创建的朋友圈，创建人userid就是发表成员userid
     * 非必传
     */
    private String userid;

    /**
     * 用于分页查询的游标，字符串类型，由上一次调用返回，首次调用可不填
     * 非必传
     */
    private String cursor;

    /**
     * 返回的最大记录数，整型，最大值1000，默认值500，超过最大值时取默认值
     * 非必传
     */
    private Integer limit;

}
