package com.company.cloud.wx.sdk.work.model.externalcontact.moment;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class MomentCustomerListResp extends BaseRespModel {

    /**
     * 分页游标，下次请求时填写以获取之后分页的记录。如果该字段返回空则表示已没有更多数据
     */
    private String next_cursor;

    /**
     * 成员可见客户列表
     */
    private List<CustomerList> customer_list;

    @Getter
    @Setter
    public class CustomerList {

        /**
         * 发表成员用户userid
         */
        private String userid;

        /**
         * 发送成功的客户external_userid列表
         */
        private String publish_status;
    }
}
