package com.company.cloud.wx.sdk.work.model.externalcontact.moment;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class MomentTaskResp extends BaseRespModel {

    /**
     * 分页游标，下次请求时填写以获取之后分页的记录。如果该字段返回空则表示已没有更多数据
     */
    private String next_cursor;

    /**
     * 发表任务列表
     */
    private List<Task> task_list;

    @Getter
    @Setter
    public class Task {

        /**
         * 发表成员用户userid
         */
        private String userid;

        /**
         * 成员发表状态。0:未发表 1：已发表
         */
        private Integer publish_status;
    }
}
