package com.company.cloud.wx.sdk.work.model.externalcontact.tag;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class TagGroupInfoModel {

    /**
     * 标签组id
     */
    private String group_id;

    /**
     * 标签组名称
     */
    private String group_name;

    /**
     * 标签组创建时间
     */
    private Integer create_time;

    /**
     * 标签组排序的次序值，order值大的排序靠前。有效的值范围是[0, 2^32)
     */
    private Integer order;

    /**
     * 标签组是否已经被删除，只在指定tag_id进行查询时返回
     */
    private Boolean deleted;

    /**
     * 标签组内的标签列表
     */
    private List<TagInfoModel> tag;
}
