package com.company.cloud.wx.sdk.work.model.externalcontact.tag;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TagUpdateReqModel extends BaseReqModel {

    /**
     * 标签或标签组的id
     * 必传
     */
    private String id;

    /**
     * 新的标签或标签组名称，最长为30个字符
     * 非必传
     */
    private String name;

    /**
     * 标签/标签组的次序值。order值大的排序靠前。有效的值范围是[0, 2^32)
     * 非必传
     */
    private Integer order;

    /**
     * 授权方安装的应用agentid。仅旧的第三方多应用套件需要填此参数
     * 非必传
     */
    private Integer agentid;
}
