package com.company.cloud.wx.sdk.work.model.externalcontact.transfer;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class TransferResultResp extends BaseRespModel {

    /**
     * 需要转群主的客户群ID列表。取值范围： 1 ~ 100
     */
    private List<Customer> customer;

    /**
     * 下个分页的起始cursor
     */
    private String next_cursor;

    @Getter
    @Setter
    public static class Customer {

        /**
         * 客户的external_userid
         */
        private String external_userid;

        /**
         * 没能成功继承的群，错误码
         */
        private String status;
        /**
         * 接替客户的时间，如果是等待接替状态，则为未来的自动接替时间
        */
        long takeover_time;
    }
}
