package com.company.cloud.wx.sdk.work.model.externalcontact.transfer;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class UnassignedListResp extends BaseRespModel {

    /**
     * 离职成员信息
     */
    private List<UnassignedInfoModel> info;

    /**
     * 是否是最后一条记录
     */
    private Boolean is_last;

    /**
     * 分页查询游标,已经查完则返回空(“”)
     */
    private String next_cursor;
}
