package com.company.cloud.wx.sdk.work.model.media;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.Getter;
import lombok.Setter;

import java.io.File;

@Getter
@Setter
public class MediaUploadModel extends BaseModel {

    /**
     * 必传
     * 调用接口凭证
     */
    private String access_token;
    /**
     * 必传
     * 媒体文件类型，分别有图片（image）、语音（voice）、视频（video），普通文件（file）
     */
    private String type;
    /**
     * 必传
     * form-data 中媒体文件标识，有filename、filelength、content-type等信息
     */
    private File media;
}
