package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Data;

import java.util.List;

@Data
public class CorpDepartmentListResp extends BaseRespModel {
    /**
    * 成员列表
    */
    private List<CorpDepartment> department_list;

    @Data
    private class CorpDepartment {

        /**
        *部门id
        */
        private String department_id;
        /**
        *部门名称
        */
        private String department_name;
        /**
        *上级部门的id
        */
        private String parentid	;
        /**
        *排序值
        */
        private Integer order;
    }
}
