package com.company.cloud.wx.sdk.work.model.member;

import lombok.Data;

@Data
public class CorpUser {
    /**
    *成员UserID 对应管理端的帐号，企业内必须唯一。不区分大小写，长度为1~64个字节
    */
    private String userid;
    /**
    *成员真实名称
    */
    private String name;
    /**
    *手机号码
    */
    private String mobile;
    /**
    *成员所属部门id列表,这个字段会返回在应用可见范围内，该用户所在的所有互联企业的部门
    */
    private String[] department;
    /**
    *职务信息
    */
    private String position;
    /**
    *邮箱
    */
    private String email;
    /**
    *座机
    */
    private String telephone;
    /**
    *所属企业的corpid
    */
    private String corpid;
    /**
    *扩展属性
    */
    private Object extattr;
}
