package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
*批量删除
*/
@Data
public class MemberBatchDeleteModel  extends BaseReqModel {
    /**
     *必传
     * 成员UserID列表。对应管理端的帐号。最多支持200个。若存在无效UserID，直接返回错误
     */
    @NotEmpty(message = "成员列表不能为空")
    private List<String> useridlist;
}
