package com.company.cloud.wx.sdk.work.model.member;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Data;

import java.util.List;

/**
 * @Author dhz
 * @Date 2021/9/2 17:46
 */
@Data
public class SelectedTicketUserResp extends BaseRespModel {
    /**
     *选人用户的open_userid
     */
    private String operator_open_userid;
    /**
     *此次选人操作中，在应用可见范围内的open_userid列表
     */
    private List<String> open_userid_list;
    /**
     *此次选人操作中，不在应用可见范围内的open_userid列表
     */
    private List<String> unauth_open_userid_list;
    /**
     *用户选择的总人数
     */
    private Integer total;

}
