package com.company.cloud.wx.sdk.work.model.register;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ProviderAccessTokenResp extends BaseRespModel {

    /**
     * 服务商的access_token，最长为512字节。
     */
    private String provider_access_token;

    /**
     * provider_access_token有效期（秒）
     */
    private Integer expires_in;

}
