package com.company.cloud.wx.sdk.work.model.register;

import com.company.cloud.sdk.weixin.common.model.BaseModel;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RegisterInfoModel extends BaseModel {

    /**
     * 必传
     * 应用提供商的provider_access_token，获取方法参见服务商的凭证
     */
    private String provider_access_token;
    /**
     * 必传
     * 查询的注册码，register_code生成后的查询有效期为24小时。仅支持 注册完成回调事件或者获取注册码返回的register_code调用
     */
    private String register_code;

}
