package com.company.cloud.wx.sdk.work.model.register;

import com.company.cloud.sdk.weixin.common.model.BaseRespModel;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class ScopeResp extends BaseRespModel {

    /**
     * 非必传
     * 应用可见范围（成员）若未填该字段，则清空可见范围中成员列表
     */
    private List<String> invaliduser;
    /**
     * 非必传
     * 应用可见范围（部门）若未填该字段，则清空可见范围中部门列表
     */
    private List<Integer> invalidparty;
    /**
     * 非必传
     * 应用可见范围（标签）若未填该字段，则清空可见范围中标签列表
     */
    private List<Integer> invalidtag;

}
