package com.company.cloud.wx.sdk.work.model.tag;

import com.company.cloud.sdk.weixin.common.model.BaseReqModel;
import lombok.Data;

@Data
public class BatchUpdateUserReq extends BaseReqModel {

    /**
    *上传的csv文件的media_id 必传
    */
    private String media_id;
    /**
    *是否邀请新建的成员使用企业微信 非必传【默认值为true】
    */
    private Boolean to_invite = true;
    /**
    *回调信息。  非必传
    */
    private CallbackFun callback;
    @Data
    private class CallbackFun {
        /**
        *非必传 企业应用接收企业微信推送请求的访问协议和地址，支持http或https协议
        */
        private String url;
        /**
        *用于生成签名 非必传
        */
        private String token;
        /**
        *用于消息体的加密，是AES密钥的Base64编码 非必传
        */
        private String encodingaeskey;
    }


}
