package com.company.cloud.wx.sdk.work.model.tag;

import lombok.Data;

@Data
public class TagModel{

    /**
    *标签id，非负整型，指定此参数时新增的标签会生成对应的标签id，不指定时则以目前最大的id自增。
     * 非必传
    */
    private Integer tagid;
    /**
     *标签名称 必传 长度限制为32个字以内（汉字或英文字母），标签名不可与其他标签重名
     */
    private String tagname;
}
